CamelMimeFilterCharset
3
CAMEL Library

# CamelMimeFilterCharset

## Synopsis

    struct              CamelMimeFilterCharset;
    CamelMimeFilterCharset * camel_mime_filter_charset_new  (void);
    CamelMimeFilterCharset * camel_mime_filter_charset_new_convert
                                                            (const gchar *from_charset,
                                                             const gchar *to_charset);

## Description

## Details

### struct CamelMimeFilterCharset

    struct CamelMimeFilterCharset {
    	CamelMimeFilter parent;

    	struct _CamelMimeFilterCharsetPrivate *priv;

    	iconv_t ic;
    	gchar *from;
    	gchar *to;
    };

### camel_mime_filter_charset_new ()

    CamelMimeFilterCharset * camel_mime_filter_charset_new  (void);

Create a new CamelMimeFilterCharset object.

Returns :

  a new CamelMimeFilterCharset object

### camel_mime_filter_charset_new_convert ()

    CamelMimeFilterCharset * camel_mime_filter_charset_new_convert
                                                            (const gchar *from_charset,
                                                             const gchar *to_charset);

Create a new CamelMimeFiletrCharset object to convert text from `from_charset` to `to_charset`.

`from_charset` :

  charset to convert from

`to_charset` :

  charset to convert to

Returns :

  a new CamelMimeFilterCharset object